import { CheckboxGroupTheme } from './themes/checkbox-group.theme';
import { CheckboxTheme } from './themes/checkbox.theme';
import { Theme } from './themes/theme';
export declare class ThemingOptions {
    themes: Theme[];
}
export declare type ThemeDataRecord = Record<string, string> | string;
export interface ThemeData {
    accentColor?: string;
    checkbox?: Partial<CheckboxTheme>;
    checkboxGroup?: Partial<CheckboxGroupTheme>;
    custom?: {
        [key: string]: ThemeDataRecord;
    };
}
