import { RendererFactory2 } from '@angular/core';
import { ThemingOptions } from './theming.interface';
import { Theme } from './themes/theme';
import * as i0 from "@angular/core";
export declare class Theming {
    private _options;
    private _rendererFactory;
    private _document;
    private readonly _attribute;
    private readonly _renderer;
    private _currentTheme;
    constructor(_options: ThemingOptions, _rendererFactory: RendererFactory2, _document: Document);
    get all(): Theme[];
    get current(): Theme;
    set(name: string): void;
    private setCssVariables;
    private getCssVariables;
    private getThemeContents;
    private setFirstTheme;
    static ɵfac: i0.ɵɵFactoryDeclaration<Theming, [null, null, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<Theming>;
}
